<?xml version="1.0" encoding="UTF-8"?>
<hazelcast-client
        xsi:schemaLocation="http://www.hazelcast.com/schema/client-config
        http://www.hazelcast.com/schema/client-config/hazelcast-client-config-3.13.xsd"
        xmlns="http://www.hazelcast.com/schema/client-config"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

    <!-- Look for some of the cluster -->
    <group>
        <name>jsongrid</name>
        <password>jsongrid</password>
    </group>
    <network>
        <cluster-members>
            <address>127.0.0.1:5701</address>
        </cluster-members>
    </network>
    <serialization>
        <serializers>
            <serializer type-class="com.hopitalityapp.distributedcache.persistence.domain.Citizen" class-name="com.hospitalityapp.distributedcache.serializer.CitizenSerializer"/>
            <serializer type-class="com.hopitalityapp.distributedcache.persistence.domain.User" class-name="com.hospitalityapp.distributedcache.serializer.UserSerializer"/>
            <serializer type-class="com.hospitalityapp.distributedcache.domain.Person" class-name="com.hospitalityapp.distributedcache.serializer.PersonSerializer"/>
        </serializers>
    </serialization>

</hazelcast-client>